curl --request PUT \
--url http://10.2.4.166:8080/composer/api/sources/{sourceId}/global-settings \
--header 'Authorization: Basic <encoded-value>' \
--header 'Content-Type: application/vnd.composer.v3+json' \
--data '
{
"textSearchEnabled": true,
"timebar": {
"enabled": true,
"from": "<string>",
"to": "<string>",
"calendarId": "<string>",
"timeField": "<string>",
"sharpening": {
"enabled": true,
"maxQueries": 123
},
"player": {
"enabled": true,
"live": {
"delay": 123,
"refreshRate": 123
}
}
},
"tileProvider": {
"name": "<string>",
"apiKey": "<string>",
"url": "<string>",
"mapBoxStyleId": "<string>"
},
"defaultVisualFilters": [
{
"sourceId": "<string>",
"path": "<string>",
"form": "<string>",
"value": "<unknown>",
"custom": {},
"label": "<string>"
}
],
"allowedCalendarIds": [
"<string>"
]
}
'import requests
url = "http://10.2.4.166:8080/composer/api/sources/{sourceId}/global-settings"
payload = {
"textSearchEnabled": True,
"timebar": {
"enabled": True,
"from": "<string>",
"to": "<string>",
"calendarId": "<string>",
"timeField": "<string>",
"sharpening": {
"enabled": True,
"maxQueries": 123
},
"player": {
"enabled": True,
"live": {
"delay": 123,
"refreshRate": 123
}
}
},
"tileProvider": {
"name": "<string>",
"apiKey": "<string>",
"url": "<string>",
"mapBoxStyleId": "<string>"
},
"defaultVisualFilters": [
{
"sourceId": "<string>",
"path": "<string>",
"form": "<string>",
"value": "<unknown>",
"custom": {},
"label": "<string>"
}
],
"allowedCalendarIds": ["<string>"]
}
headers = {
"Authorization": "Basic <encoded-value>",
"Content-Type": "application/vnd.composer.v3+json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {
Authorization: 'Basic <encoded-value>',
'Content-Type': 'application/vnd.composer.v3+json'
},
body: JSON.stringify({
textSearchEnabled: true,
timebar: {
enabled: true,
from: '<string>',
to: '<string>',
calendarId: '<string>',
timeField: '<string>',
sharpening: {enabled: true, maxQueries: 123},
player: {enabled: true, live: {delay: 123, refreshRate: 123}}
},
tileProvider: {
name: '<string>',
apiKey: '<string>',
url: '<string>',
mapBoxStyleId: '<string>'
},
defaultVisualFilters: [
{
sourceId: '<string>',
path: '<string>',
form: '<string>',
value: '<unknown>',
custom: {},
label: '<string>'
}
],
allowedCalendarIds: ['<string>']
})
};
fetch('http://10.2.4.166:8080/composer/api/sources/{sourceId}/global-settings', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_PORT => "8080",
CURLOPT_URL => "http://10.2.4.166:8080/composer/api/sources/{sourceId}/global-settings",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PUT",
CURLOPT_POSTFIELDS => json_encode([
'textSearchEnabled' => true,
'timebar' => [
'enabled' => true,
'from' => '<string>',
'to' => '<string>',
'calendarId' => '<string>',
'timeField' => '<string>',
'sharpening' => [
'enabled' => true,
'maxQueries' => 123
],
'player' => [
'enabled' => true,
'live' => [
'delay' => 123,
'refreshRate' => 123
]
]
],
'tileProvider' => [
'name' => '<string>',
'apiKey' => '<string>',
'url' => '<string>',
'mapBoxStyleId' => '<string>'
],
'defaultVisualFilters' => [
[
'sourceId' => '<string>',
'path' => '<string>',
'form' => '<string>',
'value' => '<unknown>',
'custom' => [
],
'label' => '<string>'
]
],
'allowedCalendarIds' => [
'<string>'
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Basic <encoded-value>",
"Content-Type: application/vnd.composer.v3+json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "http://10.2.4.166:8080/composer/api/sources/{sourceId}/global-settings"
payload := strings.NewReader("{\n \"textSearchEnabled\": true,\n \"timebar\": {\n \"enabled\": true,\n \"from\": \"<string>\",\n \"to\": \"<string>\",\n \"calendarId\": \"<string>\",\n \"timeField\": \"<string>\",\n \"sharpening\": {\n \"enabled\": true,\n \"maxQueries\": 123\n },\n \"player\": {\n \"enabled\": true,\n \"live\": {\n \"delay\": 123,\n \"refreshRate\": 123\n }\n }\n },\n \"tileProvider\": {\n \"name\": \"<string>\",\n \"apiKey\": \"<string>\",\n \"url\": \"<string>\",\n \"mapBoxStyleId\": \"<string>\"\n },\n \"defaultVisualFilters\": [\n {\n \"sourceId\": \"<string>\",\n \"path\": \"<string>\",\n \"form\": \"<string>\",\n \"value\": \"<unknown>\",\n \"custom\": {},\n \"label\": \"<string>\"\n }\n ],\n \"allowedCalendarIds\": [\n \"<string>\"\n ]\n}")
req, _ := http.NewRequest("PUT", url, payload)
req.Header.Add("Authorization", "Basic <encoded-value>")
req.Header.Add("Content-Type", "application/vnd.composer.v3+json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.put("http://10.2.4.166:8080/composer/api/sources/{sourceId}/global-settings")
.header("Authorization", "Basic <encoded-value>")
.header("Content-Type", "application/vnd.composer.v3+json")
.body("{\n \"textSearchEnabled\": true,\n \"timebar\": {\n \"enabled\": true,\n \"from\": \"<string>\",\n \"to\": \"<string>\",\n \"calendarId\": \"<string>\",\n \"timeField\": \"<string>\",\n \"sharpening\": {\n \"enabled\": true,\n \"maxQueries\": 123\n },\n \"player\": {\n \"enabled\": true,\n \"live\": {\n \"delay\": 123,\n \"refreshRate\": 123\n }\n }\n },\n \"tileProvider\": {\n \"name\": \"<string>\",\n \"apiKey\": \"<string>\",\n \"url\": \"<string>\",\n \"mapBoxStyleId\": \"<string>\"\n },\n \"defaultVisualFilters\": [\n {\n \"sourceId\": \"<string>\",\n \"path\": \"<string>\",\n \"form\": \"<string>\",\n \"value\": \"<unknown>\",\n \"custom\": {},\n \"label\": \"<string>\"\n }\n ],\n \"allowedCalendarIds\": [\n \"<string>\"\n ]\n}")
.asString();require 'uri'
require 'net/http'
url = URI("http://10.2.4.166:8080/composer/api/sources/{sourceId}/global-settings")
http = Net::HTTP.new(url.host, url.port)
request = Net::HTTP::Put.new(url)
request["Authorization"] = 'Basic <encoded-value>'
request["Content-Type"] = 'application/vnd.composer.v3+json'
request.body = "{\n \"textSearchEnabled\": true,\n \"timebar\": {\n \"enabled\": true,\n \"from\": \"<string>\",\n \"to\": \"<string>\",\n \"calendarId\": \"<string>\",\n \"timeField\": \"<string>\",\n \"sharpening\": {\n \"enabled\": true,\n \"maxQueries\": 123\n },\n \"player\": {\n \"enabled\": true,\n \"live\": {\n \"delay\": 123,\n \"refreshRate\": 123\n }\n }\n },\n \"tileProvider\": {\n \"name\": \"<string>\",\n \"apiKey\": \"<string>\",\n \"url\": \"<string>\",\n \"mapBoxStyleId\": \"<string>\"\n },\n \"defaultVisualFilters\": [\n {\n \"sourceId\": \"<string>\",\n \"path\": \"<string>\",\n \"form\": \"<string>\",\n \"value\": \"<unknown>\",\n \"custom\": {},\n \"label\": \"<string>\"\n }\n ],\n \"allowedCalendarIds\": [\n \"<string>\"\n ]\n}"
response = http.request(request)
puts response.read_body{
"textSearchEnabled": true,
"nestedFiltersEnabled": true,
"timebar": {
"enabled": true,
"from": "<string>",
"to": "<string>",
"calendarId": "<string>",
"timeField": "<string>",
"sharpening": {
"enabled": true,
"maxQueries": 123
},
"player": {
"enabled": true,
"mode": "LIVE",
"live": {
"delay": 123,
"delayUnit": "NANOSECONDS",
"refreshRate": 123
}
}
},
"tileProvider": {
"name": "<string>",
"apiKey": "<string>",
"url": "<string>",
"mapBoxStyleId": "<string>"
},
"defaultVisualFilters": [
{
"sourceId": "<string>",
"path": "<string>",
"form": "<string>",
"operation": "EQUALS",
"value": "<unknown>",
"custom": {},
"label": "<string>"
}
],
"allowedCalendarIds": [
"<string>"
],
"countryFormat": "NAME_LONG"
}{
"timestamp": "2023-11-07T05:31:56Z",
"status": 123,
"error": "<string>",
"message": "<string>",
"path": "<string>"
}{
"error": "<string>",
"details": "<string>",
"message": "<string>",
"path": "<string>",
"status": "<string>",
"code": "<string>",
"errorCode": "<string>",
"timestamp": "<string>",
"problems": [
{
"name": "<string>",
"message": "<string>",
"level": "ERROR",
"dependencies": {}
}
]
}{
"error": "<string>",
"details": "<string>",
"message": "<string>",
"path": "<string>",
"status": "<string>",
"code": "<string>",
"errorCode": "<string>",
"timestamp": "<string>",
"problems": [
{
"name": "<string>",
"message": "<string>",
"level": "ERROR",
"dependencies": {}
}
]
}Updates global settings for the data source
Requires WRITE permission on the source
curl --request PUT \
--url http://10.2.4.166:8080/composer/api/sources/{sourceId}/global-settings \
--header 'Authorization: Basic <encoded-value>' \
--header 'Content-Type: application/vnd.composer.v3+json' \
--data '
{
"textSearchEnabled": true,
"timebar": {
"enabled": true,
"from": "<string>",
"to": "<string>",
"calendarId": "<string>",
"timeField": "<string>",
"sharpening": {
"enabled": true,
"maxQueries": 123
},
"player": {
"enabled": true,
"live": {
"delay": 123,
"refreshRate": 123
}
}
},
"tileProvider": {
"name": "<string>",
"apiKey": "<string>",
"url": "<string>",
"mapBoxStyleId": "<string>"
},
"defaultVisualFilters": [
{
"sourceId": "<string>",
"path": "<string>",
"form": "<string>",
"value": "<unknown>",
"custom": {},
"label": "<string>"
}
],
"allowedCalendarIds": [
"<string>"
]
}
'import requests
url = "http://10.2.4.166:8080/composer/api/sources/{sourceId}/global-settings"
payload = {
"textSearchEnabled": True,
"timebar": {
"enabled": True,
"from": "<string>",
"to": "<string>",
"calendarId": "<string>",
"timeField": "<string>",
"sharpening": {
"enabled": True,
"maxQueries": 123
},
"player": {
"enabled": True,
"live": {
"delay": 123,
"refreshRate": 123
}
}
},
"tileProvider": {
"name": "<string>",
"apiKey": "<string>",
"url": "<string>",
"mapBoxStyleId": "<string>"
},
"defaultVisualFilters": [
{
"sourceId": "<string>",
"path": "<string>",
"form": "<string>",
"value": "<unknown>",
"custom": {},
"label": "<string>"
}
],
"allowedCalendarIds": ["<string>"]
}
headers = {
"Authorization": "Basic <encoded-value>",
"Content-Type": "application/vnd.composer.v3+json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {
Authorization: 'Basic <encoded-value>',
'Content-Type': 'application/vnd.composer.v3+json'
},
body: JSON.stringify({
textSearchEnabled: true,
timebar: {
enabled: true,
from: '<string>',
to: '<string>',
calendarId: '<string>',
timeField: '<string>',
sharpening: {enabled: true, maxQueries: 123},
player: {enabled: true, live: {delay: 123, refreshRate: 123}}
},
tileProvider: {
name: '<string>',
apiKey: '<string>',
url: '<string>',
mapBoxStyleId: '<string>'
},
defaultVisualFilters: [
{
sourceId: '<string>',
path: '<string>',
form: '<string>',
value: '<unknown>',
custom: {},
label: '<string>'
}
],
allowedCalendarIds: ['<string>']
})
};
fetch('http://10.2.4.166:8080/composer/api/sources/{sourceId}/global-settings', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_PORT => "8080",
CURLOPT_URL => "http://10.2.4.166:8080/composer/api/sources/{sourceId}/global-settings",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PUT",
CURLOPT_POSTFIELDS => json_encode([
'textSearchEnabled' => true,
'timebar' => [
'enabled' => true,
'from' => '<string>',
'to' => '<string>',
'calendarId' => '<string>',
'timeField' => '<string>',
'sharpening' => [
'enabled' => true,
'maxQueries' => 123
],
'player' => [
'enabled' => true,
'live' => [
'delay' => 123,
'refreshRate' => 123
]
]
],
'tileProvider' => [
'name' => '<string>',
'apiKey' => '<string>',
'url' => '<string>',
'mapBoxStyleId' => '<string>'
],
'defaultVisualFilters' => [
[
'sourceId' => '<string>',
'path' => '<string>',
'form' => '<string>',
'value' => '<unknown>',
'custom' => [
],
'label' => '<string>'
]
],
'allowedCalendarIds' => [
'<string>'
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Basic <encoded-value>",
"Content-Type: application/vnd.composer.v3+json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "http://10.2.4.166:8080/composer/api/sources/{sourceId}/global-settings"
payload := strings.NewReader("{\n \"textSearchEnabled\": true,\n \"timebar\": {\n \"enabled\": true,\n \"from\": \"<string>\",\n \"to\": \"<string>\",\n \"calendarId\": \"<string>\",\n \"timeField\": \"<string>\",\n \"sharpening\": {\n \"enabled\": true,\n \"maxQueries\": 123\n },\n \"player\": {\n \"enabled\": true,\n \"live\": {\n \"delay\": 123,\n \"refreshRate\": 123\n }\n }\n },\n \"tileProvider\": {\n \"name\": \"<string>\",\n \"apiKey\": \"<string>\",\n \"url\": \"<string>\",\n \"mapBoxStyleId\": \"<string>\"\n },\n \"defaultVisualFilters\": [\n {\n \"sourceId\": \"<string>\",\n \"path\": \"<string>\",\n \"form\": \"<string>\",\n \"value\": \"<unknown>\",\n \"custom\": {},\n \"label\": \"<string>\"\n }\n ],\n \"allowedCalendarIds\": [\n \"<string>\"\n ]\n}")
req, _ := http.NewRequest("PUT", url, payload)
req.Header.Add("Authorization", "Basic <encoded-value>")
req.Header.Add("Content-Type", "application/vnd.composer.v3+json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.put("http://10.2.4.166:8080/composer/api/sources/{sourceId}/global-settings")
.header("Authorization", "Basic <encoded-value>")
.header("Content-Type", "application/vnd.composer.v3+json")
.body("{\n \"textSearchEnabled\": true,\n \"timebar\": {\n \"enabled\": true,\n \"from\": \"<string>\",\n \"to\": \"<string>\",\n \"calendarId\": \"<string>\",\n \"timeField\": \"<string>\",\n \"sharpening\": {\n \"enabled\": true,\n \"maxQueries\": 123\n },\n \"player\": {\n \"enabled\": true,\n \"live\": {\n \"delay\": 123,\n \"refreshRate\": 123\n }\n }\n },\n \"tileProvider\": {\n \"name\": \"<string>\",\n \"apiKey\": \"<string>\",\n \"url\": \"<string>\",\n \"mapBoxStyleId\": \"<string>\"\n },\n \"defaultVisualFilters\": [\n {\n \"sourceId\": \"<string>\",\n \"path\": \"<string>\",\n \"form\": \"<string>\",\n \"value\": \"<unknown>\",\n \"custom\": {},\n \"label\": \"<string>\"\n }\n ],\n \"allowedCalendarIds\": [\n \"<string>\"\n ]\n}")
.asString();require 'uri'
require 'net/http'
url = URI("http://10.2.4.166:8080/composer/api/sources/{sourceId}/global-settings")
http = Net::HTTP.new(url.host, url.port)
request = Net::HTTP::Put.new(url)
request["Authorization"] = 'Basic <encoded-value>'
request["Content-Type"] = 'application/vnd.composer.v3+json'
request.body = "{\n \"textSearchEnabled\": true,\n \"timebar\": {\n \"enabled\": true,\n \"from\": \"<string>\",\n \"to\": \"<string>\",\n \"calendarId\": \"<string>\",\n \"timeField\": \"<string>\",\n \"sharpening\": {\n \"enabled\": true,\n \"maxQueries\": 123\n },\n \"player\": {\n \"enabled\": true,\n \"live\": {\n \"delay\": 123,\n \"refreshRate\": 123\n }\n }\n },\n \"tileProvider\": {\n \"name\": \"<string>\",\n \"apiKey\": \"<string>\",\n \"url\": \"<string>\",\n \"mapBoxStyleId\": \"<string>\"\n },\n \"defaultVisualFilters\": [\n {\n \"sourceId\": \"<string>\",\n \"path\": \"<string>\",\n \"form\": \"<string>\",\n \"value\": \"<unknown>\",\n \"custom\": {},\n \"label\": \"<string>\"\n }\n ],\n \"allowedCalendarIds\": [\n \"<string>\"\n ]\n}"
response = http.request(request)
puts response.read_body{
"textSearchEnabled": true,
"nestedFiltersEnabled": true,
"timebar": {
"enabled": true,
"from": "<string>",
"to": "<string>",
"calendarId": "<string>",
"timeField": "<string>",
"sharpening": {
"enabled": true,
"maxQueries": 123
},
"player": {
"enabled": true,
"mode": "LIVE",
"live": {
"delay": 123,
"delayUnit": "NANOSECONDS",
"refreshRate": 123
}
}
},
"tileProvider": {
"name": "<string>",
"apiKey": "<string>",
"url": "<string>",
"mapBoxStyleId": "<string>"
},
"defaultVisualFilters": [
{
"sourceId": "<string>",
"path": "<string>",
"form": "<string>",
"operation": "EQUALS",
"value": "<unknown>",
"custom": {},
"label": "<string>"
}
],
"allowedCalendarIds": [
"<string>"
],
"countryFormat": "NAME_LONG"
}{
"timestamp": "2023-11-07T05:31:56Z",
"status": 123,
"error": "<string>",
"message": "<string>",
"path": "<string>"
}{
"error": "<string>",
"details": "<string>",
"message": "<string>",
"path": "<string>",
"status": "<string>",
"code": "<string>",
"errorCode": "<string>",
"timestamp": "<string>",
"problems": [
{
"name": "<string>",
"message": "<string>",
"level": "ERROR",
"dependencies": {}
}
]
}{
"error": "<string>",
"details": "<string>",
"message": "<string>",
"path": "<string>",
"status": "<string>",
"code": "<string>",
"errorCode": "<string>",
"timestamp": "<string>",
"problems": [
{
"name": "<string>",
"message": "<string>",
"level": "ERROR",
"dependencies": {}
}
]
}Authorizations
HTTP Basic authentication using global administrator credentials (username and password).
Path Parameters
Body
Source global settings that affects initial and existing visuals
Enables or disables text search on the dashboard. Can be enabled only of the source supports TEXT_SEARCH feature
Timebar settings
Show child attributes
Show child attributes
Maps tile provider settings
Show child attributes
Show child attributes
Row filters used to limit requested data for initial visual rendering of all visuals associated with this source.
Show child attributes
Show child attributes
List of ids of calendars which are allowed to be used by this source
NAME_LONG, FORMAL_EN, ISO_A2, ISO_A3 Response
Global settings was updated successfully
Source global settings that affects initial and existing visuals
Enables or disables text search on the dashboard. Can be enabled only of the source supports TEXT_SEARCH feature
Nested filter is shown for filters at sources when this flag is enabled. Will be enabled only if source connector has NO_NESTED_FILTERS with value as false
Timebar settings
Show child attributes
Show child attributes
Maps tile provider settings
Show child attributes
Show child attributes
Row filters used to limit requested data for initial visual rendering of all visuals associated with this source.
Show child attributes
Show child attributes
List of ids of calendars which are allowed to be used by this source
NAME_LONG, FORMAL_EN, ISO_A2, ISO_A3 Was this page helpful?